package com.baijiayun.bjhl_liveplayer;

import android.app.Application;

import com.baijiayun.bjyutils.log.LPLogger;
import com.baijiayun.livecore.LiveSDK;
import com.baijiayun.livecore.context.LiveRoom;


/**
 * Created by yanglei on 16/4/12.
 */
public class App extends Application {

    /**
     * 登录用户名
     */
    public static final String USER_NAME = "USER_NAME";
    /**
     * 登录参加码
     */
    public static final String JOIN_CODE = "JOIN_CODE";
    /**
     * 登录私人域名
     */
    public static final String CUSTOM_DOMAIN = "CUSTOM_DOMAIN";
    /**
     * 用户类型
     */
    public static final String USER_TYPE = "USER_TYPE";

    public static LiveRoom liveRoom;

    @Override
    public void onCreate() {
        super.onCreate();
        LPLogger.enable = true;
        LiveSDK.init(this);
        // 这里是竖屏 demo，设置为竖屏采集
        LiveSDK.IS_TRTC_VIDEO_RESOLUTION_MODE_LANDSCAPE = false;
    }
}
