package com.baijiayun.bjhl_liveplayer.fragment;

import android.app.Dialog;
import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
import androidx.appcompat.app.AlertDialog;
import androidx.fragment.app.DialogFragment;

import com.baijiayun.bjhl_liveplayer.R;


public class SelectColorFragment extends DialogFragment {

    SelectColorListener listener;
    int color;
    View mRootView;

    @Override
    public void onAttach(Context context) {
        super.onAttach(context);
        try {
            listener = (SelectColorListener) context;
        } catch (ClassCastException e) {
            throw new ClassCastException(getActivity().toString()+"must implement SelectColorListener");
        }

    }

    public SelectColorFragment() {
        // Required empty public constructor
    }

    public static SelectColorFragment newInstance() {
        SelectColorFragment fragment = new SelectColorFragment();
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

    }

    public interface SelectColorListener {
        public void setSelectedColor(DialogFragment dialogFragment, int color);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_select_color, container, false);
    }

    @RequiresApi(api = Build.VERSION_CODES.O)
    @NonNull
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
        mRootView = requireActivity().getLayoutInflater().inflate(R.layout.fragment_select_color, null);

        setOnclickListener(R.id.color1,view->{
            color = getResources().getColor(R.color.color1);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color2,view -> {
            color = getResources().getColor(R.color.color2);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color3,view -> {
            color = getResources().getColor(R.color.color3);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color4,view -> {
            color = getResources().getColor(R.color.color4);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color5,view -> {
            color = getResources().getColor(R.color.color5);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color6,view -> {
            color = getResources().getColor(R.color.color6);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color7,view -> {
            color = getResources().getColor(R.color.color7);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color8,view -> {
            color = getResources().getColor(R.color.color8);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color9,view -> {
            color = getResources().getColor(R.color.color9);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color10,view -> {
            color = getResources().getColor(R.color.color10);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color11,view -> {
            color = getResources().getColor(R.color.color11);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color12,view -> {
            color = getResources().getColor(R.color.color12);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color13,view -> {
            color = getResources().getColor(R.color.color13);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color14,view -> {
            color = getResources().getColor(R.color.color14);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color15,view -> {
            color = getResources().getColor(R.color.color15);
            listener.setSelectedColor(this,color);
        });

        setOnclickListener(R.id.color16,view -> {
            color = getResources().getColor(R.color.color16);
            listener.setSelectedColor(this,color);
        });

        builder.setView(mRootView);
        return builder.create();
    }

    void setOnclickListener(int id,View.OnClickListener onClickListener){
        View view = mRootView.findViewById(id);
        if (view != null) {
            view.setOnClickListener(onClickListener);
        }
    }
}