# Add project specific ProGuard rules here.
# By default, the flags in this file are appended to flags specified
# in /Users/yanglei/android-sdk/tools/proguard/proguard-android.txt
# You can edit the include path and order by changing the proguardFiles
# directive in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# Add any project specific keep options here:

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}
# 百家云混淆规则
-dontwarn com.baijiahulian.**
-dontwarn com.bjhl.**
-keep class com.baijiahulian.**{*;}
-keep class com.bjhl.**{*;}
-keep class com.baijia.**{*;}
-keep class com.baijiayun.**{*;}
-keep class org.webrtc.**{*;}
-keep class com.tencent.**{*;}
-keep class org.boom.** {*;}
-keep class org.brtc.**{*;}
-keep class io.agora.** {*;}
# 点播SDK
-keep class tv.danmaku.ijk.**{*;}
# brtc
-keepclassmembers class * {
    @org.brtc.webrtc.CalledByNative <fields>;
}
-keepclassmembers class * {
    @org.brtc.webrtc.CalledByNative <methods>;
}
# RxJava混淆规则
-dontwarn sun.misc.**
-keepclassmembers class rx.internal.util.unsafe.*ArrayQueue*Field* {
    long producerIndex;
    long consumerIndex;
}
-keepclassmembers class rx.internal.util.unsafe.BaseLinkedQueueProducerNodeRef {
    rx.internal.util.atomic.LinkedQueueNode producerNode;
}
-keepclassmembers class rx.internal.util.unsafe.BaseLinkedQueueConsumerNodeRef {
    rx.internal.util.atomic.LinkedQueueNode consumerNode;
}
-keep class org.apache.log4j.**{*;}
-keep class de.mindpipe.android.logging.log4j.**{*;}
# okhttp3
-dontwarn okhttp3.**
-dontwarn okio.**
-dontwarn javax.annotation.**
-dontwarn org.conscrypt.**
-keepnames class okhttp3.internal.publicsuffix.PublicSuffixDatabase

# ----------------- kcp ------------------- #
-keep class com.bjy.kcp.** { *; }
-keepclassmembers class com.bjy.kcp.** { *; }
-keepnames class com.bjy.kcp.** { *; }
-keepclassmembernames class com.bjy.kcp.** { *; }
